using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace skyscraper5.T2MI.Packets.AdressingFunctions
{
    internal class _0x13_L1AcePapr : AddressingFunction
    {
        public _0x13_L1AcePapr(byte[] buffer) : base(0x13, false, true)
        {
            if (buffer.Length != 4)
            {
                Valid = false;
                return;
            }

            (buffer[1], buffer[0]) = (buffer[0], buffer[1]);
            L1AceMaxCorrection = BitConverter.ToUInt16(buffer, 0);
            Valid = true;
        }

        public ushort L1AceMaxCorrection { get; set; }
    }
}
